Package org.eclipse.ui.texteditor

## Class TaskRulerAction

- java.lang.Object
- - org.eclipse.ui.actions.ActionDelegate
  - - org.eclipse.ui.texteditor.AbstractRulerActionDelegate
    - - org.eclipse.ui.texteditor.TaskRulerAction

All Implemented Interfaces:
  `EventListener`, `IMenuListener`, `MouseListener`, `SWTEventListener`, `IActionDelegate`, `IActionDelegate2`, `IEditorActionDelegate`

    public class TaskRulerAction
    extends AbstractRulerActionDelegate

Adapter for the marker ruler action creating/removing tasks.

Since:
  2.0

### Constructor Summary

Constructors
`TaskRulerAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IAction` `createAction​(ITextEditor editor, IVerticalRulerInfo rulerInfo)` The factory method creating the underlying action.

### Methods inherited from class org.eclipse.ui.texteditor.AbstractRulerActionDelegate

`menuAboutToShow, mouseDoubleClick, mouseDown, mouseUp, run, runWithEvent, selectionChanged, setActiveEditor`

### Methods inherited from class org.eclipse.ui.actions.ActionDelegate

`dispose, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskRulerAction

    public TaskRulerAction()

### Method Detail

#### createAction

    protected IAction createAction​(ITextEditor editor,
                                   IVerticalRulerInfo rulerInfo)

Description copied from class: `AbstractRulerActionDelegate`
The factory method creating the underlying action.

Specified by:
  `createAction` in class `AbstractRulerActionDelegate`
Parameters:
  `editor` - the editor the action to be created will work on
  `rulerInfo` - the vertical ruler the action to be created will work on
Returns:
  the created action